Distribution:   CCux Linux
Packager:	Christian Wasem <wasem@ccux-linux.de>

Name:		SDL
Version:	1.2.13
Release:	2
License:	GNU/GPL 
URL:		http://www.libsdl.org
Group:		System/Libraries
Source0:	%{name}-%{version}.tar.gz
Patch0: 	SDL-1.2.10-byteorder.patch
Patch17: 	SDL-1.2.13-libdir.patch
Patch19: 	SDL-1.2.12-preferalsa.patch
Patch23: 	SDL-1.2.11-dynamic-esd.patch
Patch25: 	SDL-1.2.12-disable_yasm.patch
BuildRoot:	%{_tmppath}/%{name}-buildroot
Summary:	SDL is a cross-platform multimedia library.
BuildRequires: 	arts-devel audiofile-devel
BuildRequires: 	esound-devel alsa-lib-devel
BuildRequires: 	libXext-devel libX11-devel
BuildRequires: 	libGL-devel libGLU-devel
BuildRequires: 	libXrender-devel libXrandr-devel gettext-devel
BuildRequires: 	automake autoconf
BuildRequires: 	nasm

%description
Simple DirectMedia Layer (SDL) is a cross-platform multimedia library
designed to provide fast access to the graphics frame buffer and audio
device.

%package devel
Summary: Files needed to develop Simple DirectMedia Layer applications
Group: Development/Libraries
Requires: SDL = %{version}-%{release} alsa-lib-devel
Requires: libX11-devel
Requires: libXext-devel
Requires: libGL-devel
Requires: libGLU-devel
Requires: libXrender-devel
Requires: libXrandr-devel
Requires: pkgconfig
Requires: automake

%description devel
Simple DirectMedia Layer (SDL) is a cross-platform multimedia library
designed to provide fast access to the graphics frame buffer and audio
device. This package provides the libraries, include files, and other
resources needed for developing SDL applications.

%post
ldconfig

%postun
ldconfig

%prep
%setup -n %{name}-%{version}
%patch0 -p1 -b .byteorder
%patch17 -p1 -b .libdir
%patch19 -p1 -b .preferalsa
%patch23 -p1 -b .dynamic-esd
%patch25 -p1 -b .disable_yasm

%build
aclocal
autoconf
%configure \
   --disable-video-svga --disable-video-ggi --disable-video-aalib \
   --disable-debug \
   --enable-sdl-dlopen \
   --enable-dlopen \
   --enable-arts-shared \
   --enable-esd-shared \
   --enable-alsa \
   --disable-rpath
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make install DESTDIR=%{buildroot}

%files
%defattr(-,root,root)
%doc README-SDL.txt COPYING CREDITS BUGS
%{_libdir}/lib*.so.*

%files devel
%defattr(-,root,root)
%doc README WhatsNew docs.html docs/html
%doc docs/index.html
%{_bindir}/*-config
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/sdl.pc
%{_includedir}/SDL
%{_datadir}/aclocal/*
%{_mandir}/man3/SDL*.3*
%{_libdir}/lib*.a
%{_libdir}/lib*.la

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Mon Feb 04 2008 Christian Metzen <metzench@ccux-linux.de> 1.2.13-2
- rebuild against gcc 4.1.2
* Tue Jan 01 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.2.13-1
- Version update
* Tue Aug 14 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.2.12-1
- Version update
* Thu Dec 21 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.2.11-2
- rebuilt against DirectFB 0.9.25.1
- added BuildRequires
* Tue Jul 04 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.2.11-1
- Update to Version 1.2.11
* Thu May 18 2006 Christian Wasem <wasem@ccux-linux.de> 1.2.10-1
- Update to Version 1.2.10
* Sun Nov 20 2005 Christian Wasem <wasem@ccux-linux.de> 1.2.9-1
- Update to Version 1.2.9, moved more files to devel package
* Wed Apr 13 2005 Christian Wasem <wasem@ccux-linux.de> - 1.2.8-1
- Update to Version 1.2.8
